summaryrefslogtreecommitdiffstats
path: root/testsuites/stability/src/main/resources/distributionsetup
diff options
context:
space:
mode:
authorRossC <ross.carter@est.tech>2020-05-05 15:02:51 +0100
committerRossC <ross.carter@est.tech>2020-05-05 17:19:25 +0100
commit14722adc36a48f4e120b3ad9e6287cc939bfd130 (patch)
treec1c4f674506ee58d93386588e5447ea77ee40ed2 /testsuites/stability/src/main/resources/distributionsetup
parent9d43f31c0069421ba3b29315c7232311db74180b (diff)
Stability tests and scripts for Frankfurt
Issue-ID: POLICY-2458 Change-Id: I193d4ec14aee3313a6ea01bb9c02c048da09dbca Signed-off-by: RossC <ross.carter@est.tech>
Diffstat (limited to 'testsuites/stability/src/main/resources/distributionsetup')
-rw-r--r--testsuites/stability/src/main/resources/distributionsetup/distribution/bin/policy-dist.sh57
-rw-r--r--testsuites/stability/src/main/resources/distributionsetup/distribution/etc/defaultConfig.json72
-rwxr-xr-xtestsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh35
3 files changed, 164 insertions, 0 deletions
diff --git a/testsuites/stability/src/main/resources/distributionsetup/distribution/bin/policy-dist.sh b/testsuites/stability/src/main/resources/distributionsetup/distribution/bin/policy-dist.sh
new file mode 100644
index 00000000..3ba423e0
--- /dev/null
+++ b/testsuites/stability/src/main/resources/distributionsetup/distribution/bin/policy-dist.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2020 Ericsson. All rights reserved.
+# Modifications Copyright (C) 2019-2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+
+JAVA_HOME=/usr/lib/jvm/java-11-openjdk/
+KEYSTORE="${POLICY_HOME}/etc/ssl/policy-keystore"
+KEYSTORE_PASSWD="Pol1cy_0nap"
+TRUSTSTORE="${POLICY_HOME}/etc/ssl/policy-truststore"
+TRUSTSTORE_PASSWD="Pol1cy_0nap"
+
+if [ "$#" -eq 1 ]; then
+ CONFIG_FILE=$1
+else
+ CONFIG_FILE=${CONFIG_FILE}
+fi
+
+if [ -z "$CONFIG_FILE" ]
+ then
+ CONFIG_FILE="${POLICY_HOME}/etc/defaultConfig.json"
+fi
+
+if [[ -f "${POLICY_HOME}"/etc/mounted/policy-truststore ]]; then
+ echo "overriding policy-truststore"
+ cp -f "${POLICY_HOME}"/etc/mounted/policy-truststore "${TRUSTSTORE}"
+fi
+
+if [[ -f "${POLICY_HOME}"/etc/mounted/policy-keystore ]]; then
+ echo "overriding policy-keystore"
+ cp -f "${POLICY_HOME}"/etc/mounted/policy-keystore "${KEYSTORE}"
+fi
+
+if [[ -f "${POLICY_HOME}"/etc/mounted/logback.xml ]]; then
+ echo "overriding logback.xml"
+ cp -f "${POLICY_HOME}"/etc/mounted/logback.xml "${POLICY_HOME}"/etc/
+fi
+
+echo "Policy distribution config file: $CONFIG_FILE"
+
+$JAVA_HOME/bin/java -Dcom.sun.management.jmxremote.rmi.port=9090 -Dcom.sun.management.jmxremote=true -Dcom.sun.management.jmxremote.port=9090 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.local.only=false -Djava.rmi.server.hostname=127.0.0.1 -cp "${POLICY_HOME}/etc:${POLICY_HOME}/lib/*" -Dlogback.configurationFile=$POLICY_HOME/etc/logback.xml -Djavax.net.ssl.keyStore="$KEYSTORE" -Djavax.net.ssl.keyStorePassword="$KEYSTORE_PASSWD" -Djavax.net.ssl.trustStore="$TRUSTSTORE" -Djavax.net.ssl.trustStorePassword="$TRUSTSTORE_PASSWD" org.onap.policy.distribution.main.startstop.Main -c $CONFIG_FILE
diff --git a/testsuites/stability/src/main/resources/distributionsetup/distribution/etc/defaultConfig.json b/testsuites/stability/src/main/resources/distributionsetup/distribution/etc/defaultConfig.json
new file mode 100644
index 00000000..98a135ce
--- /dev/null
+++ b/testsuites/stability/src/main/resources/distributionsetup/distribution/etc/defaultConfig.json
@@ -0,0 +1,72 @@
+{
+ "name": "SDCDistributionGroup",
+ "restServerParameters": {
+ "host": "0.0.0.0",
+ "port": 6969,
+ "userName": "healthcheck",
+ "password": "zb!XztG34"
+ },
+ "receptionHandlerParameters": {
+ "S3PReceptionHandler": {
+ "receptionHandlerType": "File",
+ "receptionHandlerClassName": "org.onap.policy.distribution.reception.handling.file.FileSystemReceptionHandler",
+ "receptionHandlerConfigurationName": "fileConfiguration",
+ "pluginHandlerParameters": {
+ "policyDecoders": {
+ "ToscaPolicyDecoder":{
+ "decoderType":"ToscaPolicyDecoder",
+ "decoderClassName":"org.onap.policy.distribution.reception.decoding.policy.file.PolicyDecoderFileInCsarToPolicy",
+ "decoderConfigurationName": "toscaPolicyDecoderConfiguration"
+ }
+ },
+ "policyForwarders": {
+ "LifeCycleApiForwarder": {
+ "forwarderType": "LifeCycleAPI",
+ "forwarderClassName": "org.onap.policy.distribution.forwarding.lifecycle.api.LifecycleApiPolicyForwarder",
+ "forwarderConfigurationName": "lifecycleApiConfiguration"
+ }
+ }
+ }
+ }
+ },
+ "receptionHandlerConfigurationParameters": {
+ "fileConfiguration": {
+ "parameterClassName": "org.onap.policy.distribution.reception.handling.file.FileSystemReceptionHandlerConfigurationParameterGroup",
+ "parameters": {
+ "watchPath": "/home/policydistribution",
+ "maxThread": 1
+ }
+ }
+ },
+ "policyDecoderConfigurationParameters": {
+ "toscaPolicyDecoderConfiguration":{
+ "parameterClassName":"org.onap.policy.distribution.reception.decoding.policy.file.PolicyDecoderFileInCsarToPolicyParameterGroup",
+ "parameters":{
+ "policyFileName": "tosca_policy",
+ "policyTypeFileName": "tosca_policy_type"
+ }
+ }
+ },
+
+ "policyForwarderConfigurationParameters": {
+ "lifecycleApiConfiguration": {
+ "parameterClassName": "org.onap.policy.distribution.forwarding.lifecycle.api.LifecycleApiForwarderParameters",
+ "parameters": {
+ "apiParameters": {
+ "hostName": "policy-api",
+ "port": 6969,
+ "userName": "healthcheck",
+ "password": "zb!XztG34"
+ },
+ "papParameters": {
+ "hostName": "policy-pap",
+ "port": 7000,
+ "userName": "healthcheck",
+ "password": "zb!XztG34"
+ },
+ "isHttps": true,
+ "deployPolicies": true
+ }
+ }
+ }
+}
diff --git a/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh b/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh
new file mode 100755
index 00000000..763f47ed
--- /dev/null
+++ b/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (c) 2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# the directory of the script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo ${DIR}
+
+if [ "$#" -lt 2 ];
+ then
+ echo "PAP and PolicyAPI IPs should be passed as two parameters. PAP IP goes first."
+ exit 1
+else
+ PAP=$1
+ echo "PAP IP: ${PAP}"
+ API=$2
+ echo "Policy API IP: $API"
+fi
+docker run -v /tmp/policydistribution/distributionmount:/home/policydistribution --add-host policy-api:${API} --add-host policy-pap:${PAP} -p 6969:6969 -p 9090:9090 --name policy-distribution -v ${DIR}/distribution/bin/policy-dist.sh:/opt/app/policy/distribution/bin/policy-dist.sh -v ${DIR}/distribution/etc/defaultConfig.json:/opt/app/policy/distribution/etc/defaultConfig.json -d --rm nexus3.onap.org:10001/onap/policy-distribution:2.3.1
+